<?
/**
 * VoiceOne Webservices Registrations
 *  
 * @package voiceone_webservices
 * @subpackage Core
 */
$server->register(
    'getLoadedModule',
    array(),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);

$server->register(
    'getEntity',
    array('id'=>'xsd:int'),
    array('return'=>'tns:EntityArray'),
    $NAMESPACE);

$server->register(
    'getExtension',
    array('id'=>'xsd:int'),
    array('return'=>'tns:ExtensionArray'),
    $NAMESPACE);

$server->register(
    'getExtensionByExtension',
    array('exten'=>'xsd:string'),
    array('return'=>'tns:ExtensionArray'),
    $NAMESPACE);

$server->register(
    'putExtension',
    array('extension'=>'tsn:Extension'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delExtension',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delExtensionByExtension',
    array('exten'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getClient',
    array('id'=>'xsd:int', 'prot'=>'xsd:int'),
    array('return'=>'tns:ClientArray'),
    $NAMESPACE);

$server->register(
    'getClientAccount',
    array('id'=>'xsd:int', 'prot'=>'xsd:int'),
    array('return'=>'tns:ClientArray'),
    $NAMESPACE);

$server->register(
    'gelClientFromExtension',
    array('extension'=>'xsd:string'),
    array('return'=>'tns:Client'),
    $NAMESPACE);

$server->register(
    'putClient',
    array('client'=>'tsn:Client'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'putClientAccount',
    array('id'=>'xsd:int','tech'=>'xsd:int','language'=>'xsd:string','oldpwd'=>'xsd:string','newpwd'=>'xsd:string','vemail'=>'xsd:string','voldpwd'=>'xsd:string','vnewpwd'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delClient',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getCid',
    array('trunk_id'=>'xsd:int', 'extension_id'=>'xsd:int'),
    array('return'=>'tns:CidArray'),
    $NAMESPACE);
$server->register(
    'getCidFromTrunk',
    array('trunk_id'=>'xsd:int'),
    array('return'=>'tns:CidArray'),
    $NAMESPACE);    
   
$server->register(
    'putCid',
    array('exten_id'=>'xsd:int','cidArr'=>'tsn:CidArray'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delCid',
    array('trunk_id'=>'xsd:int', 'extension_id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getOffice',
    array('id'=>'xsd:int'),
    array('return'=>'tns:OfficeArray'),
    $NAMESPACE);

$server->register(
    'putOffice',
    array('dep'=>'tsn:Office'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delOffice',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getProvider',
    array('id'=>'xsd:int'),
    array('return'=>'tns:ProviderArray'),
    $NAMESPACE);

$server->register(
    'getProviderAccount',
    array('id'=>'xsd:int','provider'=>'xsd:int'),
    array('return'=>'tns:ProviderAccountArray'),
    $NAMESPACE);

$server->register(
    'putProvider',
    array('res'=>'tsn:Provider'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'putProviderAccount',
    array('res'=>'tsn:ProviderAccount'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delProvider',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delProviderAccount',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getPhoneNumber',
    array('id'=>'xsd:int'),
    array('return'=>'tns:PhoneNumberArray'),
    $NAMESPACE);

$server->register(
    'putPhoneNumber',
    array('number'=>'tsn:PhoneNumber'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delPhoneNumber',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getMetaGroupFromEntity',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getMetaGroupFromGroup',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getGroup',
    array('id'=>'xsd:int', 'type'=>'xsd:int'),
    array('return'=>'tns:GroupArray'),
    $NAMESPACE);

$server->register(
    'putGroup',
    array('group'=>'tsn:Group'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delGroup',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'resolveExstensionGroup',
    array('id'=>'xsd:int'),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);

$server->register(
    'getRight',
    array('id'=>'xsd:int'),
    array('return'=>'tns:RightArray'),
    $NAMESPACE);

$server->register(
    'putRight',
    array('right'=>'tsn:Right'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delRight',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getApplication',
    array('id'=>'xsd:int'),
    array('return'=>'tns:ApplicationArray'),
    $NAMESPACE);

$server->register(
    'getApplicationByName',
    array('name'=>'xsd:string'),
    array('return'=>'tns:ApplicationArray'),
    $NAMESPACE);

$server->register(
    'putApplication',
    array('app'=>'tns:Application'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delApplication',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getQueue',
    array('id'=>'xsd:int'),
    array('return'=>'tns:QueueArray'),
    $NAMESPACE);

 $server->register(
    'getQueueByName',
    array('name'=>'xsd:string'),
    array('return'=>'tns:QueueArray'),
    $NAMESPACE);

$server->register(
    'putQueue',
    array('queue'=>'tsn:Queue'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delQueue',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getAgent',
    array('id'=>'xsd:int'),
    array('return'=>'tns:AgentArray'),
    $NAMESPACE);

$server->register(
    'getAgentFromEntity',
    array('client'=>'xsd:int'),
    array('return'=>'tns:Agent'),
    $NAMESPACE);

$server->register(
    'getRegisteredAgent',
    array(),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);

$server->register(
    'putAgent',
    array('agent'=>'tsn:Agent'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delAgent',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'logoffAgent',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'putQueueGeneralOption',
    array('tag'=>'xsd:string','option'=>'tns:AssociativeArray'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getIvrNode',
    array('id'=>'xsd:int', 'parent'=>'xsd:int'),
    array('return'=>'tns:IvrNodeArray'),
    $NAMESPACE);

$server->register(
    'getChildNodes',
    array('id'=>'xsd:int'),
    array('return'=>'tns:IvrNodeArray'),
    $NAMESPACE);

$server->register(
    'putIvrNode',
    array('queue'=>'tsn:IvrNode'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delIvrNode',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getIvr',
    array('id'=>'xsd:int'),
    array('return'=>'tns:IvrNodeArray'),
    $NAMESPACE);



$server->register(
    'getConfOption',
    array('id'=>'xsd:int','category'=>'xsd:string','section'=>'xsd:int'),
    array('return'=>'tns:OptionArray'),
    $NAMESPACE);

$server->register(
    'getOptionByName',
    array('id'=>'xsd:string','category'=>'xsd:string'),
    array('return'=>'tns:OptionArray'),
    $NAMESPACE);

$server->register(
    'putOption',
    array('technology'=>'xsd:int','option'=>'tns:AssociativeArray','section'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);



$server->register(
    'getAction',
    array('id'=>'xsd:int'),
    array('return'=>'tns:ActionArray'),
    $NAMESPACE);

$server->register(
    'writeMIsdn',
    array(),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'updateNetwork',
    array('option'=>'tns:stringArray'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getDirectory',
    array(),
    array('return'=>'tns:DirectoryArray'),
    $NAMESPACE);

$server->register(
    'getUser',
    array('id'=>'xsd:int'),
    array('return'=>'tns:UserArray'),
    $NAMESPACE);

$server->register(
    'putUser',
    array('user'=>'tns:User'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'checkUser',
    array('username'=>'xsd:string','password'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delUser',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'createAstConfig',
    array('lines'=>'tns:stringArray','filename'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'viewAstConfigFilename',
    array(),
    array('return'=>'tns:stringArray'),
    $NAMESPACE);

$server->register(
    'viewAstConfig',
    array('filename'=>'xsd:string'),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'getPublicKey',
    array(),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'getVoiceMail',
    array('id'=>'xsd:int'),
    array('return'=>'tns:VoiceMailArray'),
    $NAMESPACE);

$server->register(
    'putVoiceMail',
    array('voicemail'=>'tns:VoiceMail'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delVoiceMail',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'stats',
    array('request'=>'tns:CdrRequest'),
    array('return'=>'tns:CdrArray'),
    $NAMESPACE);

$server->register(
    'getTechnology',
    array('id'=>'xsd:int'),
    array('return'=>'tns:TechnologyArray'),
    $NAMESPACE);

$server->register(
    'getTimeSegment',
    array('id'=>'xsd:int'),
    array('return'=>'tns:TimeSegmentArray'),
    $NAMESPACE);

$server->register(
    'putTimeSegment',
    array('ts'=>'tns:TimeSegment'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delTimeSegment',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);


$server->register(
    'getEntityName',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'getMacro',
    array('id'=>'xsd:int'),
    array('return'=>'tns:MacroArray'),
    $NAMESPACE);

$server->register(
    'getMacroByName',
    array('name'=>'xsd:string'),
    array('return'=>'tns:MacroArray'),
    $NAMESPACE);

$server->register(
    'putMacro',
    array('id'=>'tns:Macro'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delMacro',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'resolveMacroParam',
    array('macroId'=>'xsd:int','parameters'=>'xsd:string'),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'getPlugin',
    array('id'=>'xsd:int'),
    array('return'=>'tns:PluginArray'),
    $NAMESPACE);

 $server->register(
    'getPluginByName',
    array('name'=>'xsd:string'),
    array('return'=>'tns:PluginArray'),
    $NAMESPACE);

$server->register(
    'getPluginByPackageName',
    array('packageName'=>'xsd:string'),
    array('return'=>'tns:PluginArray'),
    $NAMESPACE);

$server->register(
    'getPluginByEntity',
    array('type'=>'xsd:string', 'id'=>'xsd:int'),
    array('return'=>'tns:PluginArray'),
    $NAMESPACE);

$server->register(
    'getPluginEntities',
    array('id'=>'xsd:int'),
    array('return'=>'tns:PluginEntityArray'),
    $NAMESPACE);

$server->register(
    'putPlugin',
    array('xmlinfo'=>'xsd:string','xmldata'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delPlugin',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getTrunk',
    array('id'=>'xsd:int','technology'=>'xsd:int'),
    array('return'=>'tns:ChannelArray'),
    $NAMESPACE);

$server->register(
    'getChannel',
    array('id'=>'xsd:int','technology'=>'xsd:int'),
    array('return'=>'tns:ChannelArray'),
    $NAMESPACE);

$server->register(
    'putChannel',
    array('Channel'=>'tns:Channel'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delChannel',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'moveTrunk',
    array('id'=>'xsd:int','direction'=>'xsd:int','top'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'versionCheck',
    array(),
    array('return'=>'tns:AssociativeArray'),
    $NAMESPACE);

$server->register(
    'recordIvrAudioFile',
    array('filename' => 'xsd:string','client' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getIvrAudioFile',
    array(),
    array('return'=>'tns:AudioFileArray'),
    $NAMESPACE);

$server->register(
    'putIvrAudioFile',
    array('filename' => 'xsd:string','name' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'deleteIvrAudioFile',
    array('filename' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'renameIvrAudioFile',
    array('filename' => 'xsd:string','newfilename' => 'xsd:string','newname' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'shutdown',
    array('action' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'pbxSwitch',
    array('action' => 'xsd:string'),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'getVoiceMailList',
    array('exten'=>'xsd:int'),
    array('return'=>'tns:VoiceMailStructureArray'),
    $NAMESPACE);

$server->register(
    'checkVoiceMailMessage',
    array('exten'=>'xsd:string','filename' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'changeVoiceMailMessageGroup',
    array('exten'=>'xsd:string','tofilename' => 'xsd:string','togroup' => 'xsd:string',
          'filename' => 'xsd:string','group' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'deleteVoicemailMessage',
    array('exten'=>'xsd:string','filename' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getFileFromSandbox',
    array('path' => 'xsd:string'),
    array('return'=>'xsd:base64Binary'),
    $NAMESPACE);

$server->register(
    'recordVoiceMailAnswer',
    array('clientId'=>'xsd:string','filename' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getVoiceMailAnswers',
    array('exten'=>'xsd:string'),
    array('return'=>'tns:AnswerMessageStructureArray'),
    $NAMESPACE);

$server->register(
    'deleteVoiceMailAnswer',
    array('exten'=>'xsd:string','filename' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'setVoiceMailAnswer',
    array('exten'=>'xsd:string','filename' => 'xsd:string','type' => 'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'putInDB',
    array('family'=>'xsd:string','key'=>'xsd:string','value'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'rmFromDB',
    array('family'=>'xsd:string','key'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getFromDB',
    array('family'=>'xsd:string','key'=>'xsd:string'),
    array('return'=>'tns:commandReturn'),
    $NAMESPACE);

$server->register(
    'getClientsDBEntry',
    array(),
    array('return'=>'tns:matrixArray'),
    $NAMESPACE);

$server->register(
    'putSystemLabel',
    array('label'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

// ****************************************************************************
// ---- NEW ZAPATA PART STARTS HERE -------------------------------------------
// ****************************************************************************



// ---- NEW ZAPATA PART ENDS HERE ---------------------------------------------


$server->register(
    'getMeetme',
    array('id'=>'xsd:int'),
    array('return'=>'tns:MeetmeArray'),
    $NAMESPACE);

 $server->register(
    'getMeetmeByName',
    array('name'=>'xsd:string'),
    array('return'=>'tns:MeetmeArray'),
    $NAMESPACE);

$server->register(
    'putMeetme',
    array('meetme'=>'tsn:Meetme'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delMeetme',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'setTarget',
    array('name'=>'xsd:string','number'=>'xsd:string','description'=>'xsd:string'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delTargets',
    array(),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getTargetCalls',
    array(),
    array('return'=>'tns:callStrunctArray'),
    $NAMESPACE);

$server->register(
    'getProvClient',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provClientArray'),
    $NAMESPACE);
$server->register(
    'getProvClientAddress',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:string'),
    $NAMESPACE);

$server->register(
    'putProvClient',
    array('client'=>'tns:provClient'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delProvClient',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'touchProvClient',
    array('id'=>'xsd:int','id_client'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getProvClientFromEntity',
    array('id_client'=>'xsd:int'),
    array('return'=>'tns:provClient'),
    $NAMESPACE);

$server->register(
    'getPhoneType',
    array('id'=>'xsd:int'),
    array('return'=>'tns:phoneTypeArray'),
    $NAMESPACE);

$server->register(
    'putPhoneMac',
    array('id'=>'tns:phoneMacArray'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getProvTemplate',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provTemplateArray'),
    $NAMESPACE);

$server->register(
    'putProvTemplate',
    array('template'=>'tns:provTemplate'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'delProvTemplate',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getPhoneOptions',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provOptionsArray'),
    $NAMESPACE);

$server->register(
    'getProvFirmware',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provFirmwareArray'),
    $NAMESPACE);
$server->register(
    'getProvFirmwareFromPhone',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provFirmwareArray'),
    $NAMESPACE);
$server->register(
    'putProvFirmware',
    array('firmware'=>'tns:provFirmware','file_content'=>'xsd:base64Binary'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delProvFirmware',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);

$server->register(
    'getProvDirectory',
    array('id'=>'xsd:int'),
    array('return'=>'tns:provDirectoryArray'),
    $NAMESPACE);
$server->register(
    'putProvDirectory',
    array('template'=>'tns:provDirectory'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delProvDirectory',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);



$server->register(
    'phoneAction',
    array('action'=>'xsd:string','ip'=>'xsd:string','params'=>'tns:AssociativeArray','http_username'=>'xsd:string','http_password'=>'xsd:string','http_scheme'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'templatePhoneAction',
    array('action'=>'xsd:string','id_template'=>'xsd:int','params'=>'tns:AssociativeArray','http_username'=>'xsd:string','http_password'=>'xsd:string','http_scheme'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);


$server->register(
    'getVirtualExtension',
    array('id'=>'xsd:int'),
    array('return'=>'tns:VirtualExtensionArray'),
    $NAMESPACE);
$server->register(
    'getVirtualExtensionFromExtension',
    array('extension'=>'xsd:string'),
    array('return'=>'tns:VirtualExtension'),
    $NAMESPACE);
$server->register(
    'putVirtualExtension',
    array('virtual'=>'tns:VirtualExtension'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'delVirtualExtension',
    array('id'=>'xsd:int'),
    array('return'=>'xsd:int'),
    $NAMESPACE);
$server->register(
    'getVirtualExtensionFromClient',
    array('id'=>'xsd:int'),
    array('return'=>'tns:VirtualExtension'),
    $NAMESPACE);


$server->register(
    'saveConfPerm',
    array(),
    array('return'=>'xsd:int'),
    $NAMESPACE);


?>